月別アーカイブ:2020年05月

PythonOCC

PythonOCCでパイプをつくる

2020/5/30  

パイプをつくります。 まず背骨部分を作成し、次にパイプ断面を作成します。 それらをBRepOffsetAPI_MakePipe()の引数に与えると完成します。 まずは背骨です。 パイプの断面を与えます ...

PythonOCC

PythonOCCでピラミッドをつくる

2020/5/18  

ピラミッドを建てます。 BRepPrimAPI_MakeWedge()を使用します。くさび型を作る際にも使用しましたね。 はい。ピラミッド。 中身はこんな感じです from OCC.Core.BRep ...

PythonOCC

PythonOCCで平面から立体をつくる

2020/5/17  

平面から面を立ち上げて、立体をつくります。 この面をBRepPrimAPI_MakePrism()を使って立体にします。 立ち上げる方向と高さを gp_Vec(0,0,100) で指定しています。 つ ...

PythonOCC

PythonOCCで多角形をつくる

2020/6/15  

多角形をつくってみる。 以下の流れでつくった 1.多角形の頂点を決める2.頂点を結ぶ線をつくる3.面を作成する BRepBuilderAPI_MakePolygon()でつくりました。 5角形です。 ...

PythonOCC

PythonOCCでフィレットと面取りをつかう

2020/5/13  

好きな線にフィレットや面取りを使用できるらしいです。 フィレット フィレットはBRepFilletAPI_MakeFillet()を使用します。 線が丸みを帯びています。 中身はこんな感じです fro ...

PythonOCC

PythonOCCでモデルを回転させる

2020/5/12  

モデルを回転させてみます。 trsf.SetRotation()で回転軸と角度を指定し、 BRepBuilderAPI_Transform()で45度回転させました。 黒色が回転後の箱です。 中身はこ ...

PythonOCC

PythonOCCで面を抽出する

2020/5/12  

面を抽出してみようと思います。 tpExp.Init(my_box,TopAbs_FACE )で抽出する種類を指定します。 箱から面を抽出して、それぞれ色付けしてみました。 中身はこんな感じです。 f ...

PythonOCC

PythonOCCで体積と重心の位置を取得する

2020/5/12  

体積を取得してみます。 ついでに重心の位置も取得します。 いつもの10×20×30の直方体を使います。 どちらも、brepgprop_VolumeProperties() を使います。 はい、こんな感 ...

PythonOCC

PythonOCCで文字を表示する

2020/5/12  

PythonOCCでは、モデルだけではなく文字も表示できるらしい。 使用するのは display.DisplayMessage() です。 「Hello Box」と表示してみました。 中身はこんな感じ ...

PythonOCC

PythonOCCでStepファイルを読み込む

2020/5/12  

Stepファイルを読み込んでみようと思います。 今回もチュートリアルを参考にしています。 読み込むStepファイルは as1-oc-214.stpです。 PythonOCCをインストールしたときに勝手 ...

© 2021 暇人が趣味をさがす